summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
authorEd Warnicke <hagbard@gmail.com>2016-09-08 15:57:57 +0000
committerGerrit Code Review <gerrit@fd.io>2016-09-08 15:57:57 +0000
commitd80e609dca81ae088c47b510d93dcd6d28ccae26 (patch)
tree18c3c905228f63b5d6413dd05bb8cced702d01d2 /jjb
parent93506bd3b7c82732bec84611a879644297f7b559 (diff)
parent4eac3f7694de7c3b15bf83eaf365c78df721845b (diff)
Merge "TRex: add playground jobs to check build of TRex/docs"
Diffstat (limited to 'jjb')
-rw-r--r--jjb/trex/include-raw-trex-build.sh53
-rw-r--r--jjb/trex/trex.yaml50
2 files changed, 103 insertions, 0 deletions
diff --git a/jjb/trex/include-raw-trex-build.sh b/jjb/trex/include-raw-trex-build.sh
new file mode 100644
index 000000000..24049ac0b
--- /dev/null
+++ b/jjb/trex/include-raw-trex-build.sh
@@ -0,0 +1,53 @@
+#!/bin/bash -ex
+
+# emulate unique name for now
+GERRIT_NEWREV=hash`date +%s%N`
+WS=${PWD}/$GERRIT_NEWREV
+
+# temporary don't fail
+set +e
+
+function clean_ws {
+ rm -rf "$WS"
+}
+trap clean_ws EXIT
+
+echo "$WS"
+clean_ws
+mkdir "$WS"
+cd "$WS"
+
+# cloning
+
+git clone https://github.com/cisco-system-traffic-generator/trex-core.git
+git clone https://github.com/cisco-system-traffic-generator/trex-doc.git
+ls -l
+
+# building core
+
+cd trex-core/linux_dpdk
+./b configure
+./b build
+cd -
+
+cd trex-core/linux
+./b configure
+./b build
+cd -
+
+which asciidoc
+which sphinx-build
+which dblatex
+which python
+which python3
+which pip
+
+# building docs
+
+cd trex-doc
+./b configure
+./b build
+cd -
+
+echo Done
+
diff --git a/jjb/trex/trex.yaml b/jjb/trex/trex.yaml
new file mode 100644
index 000000000..20697d74c
--- /dev/null
+++ b/jjb/trex/trex.yaml
@@ -0,0 +1,50 @@
+- project:
+ name: trex
+ jobs:
+ - 'trex-verify-{stream}-{os}'
+
+ project: 'trex'
+ os:
+ - ubuntu1404
+ - ubuntu1604
+ - centos7
+
+ stream:
+ - master:
+ branch: 'master'
+
+
+- job-template:
+ name: 'trex-verify-{stream}-{os}'
+
+ project-type: freestyle
+ node: 'verify-{os}'
+ concurrent: true
+
+ logrotate:
+ artifactDaysToKeep: '-1'
+ artifactNumToKeep: '-1'
+ daysToKeep: '30'
+ numToKeep: '100'
+
+ parameters:
+ - project-parameter:
+ project: '{project}'
+ - gerrit-parameter:
+ branch: '{branch}'
+ - os-parameter:
+ os: '{os}'
+
+ triggers:
+ - timed: H */6 * * *
+
+ builders:
+ - shell:
+ !include-raw-escape: include-raw-trex-build.sh
+
+ description: "!!! Playground to verify that TRex and docs can be built. !!!\r\n\
+ \r\n\
+ TODO:\r\n\
+ 1) merge doc and core repos\r\n\
+ 2) replace pull from github by fd.io gerrit with triggering\r\n\
+ 3) add a real regression\r\n\r\n"